Shellshock fix - when?

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Shellshock fix - when?

Postby smorytko » 28. September 2014 13:37

I'm surprised there is no discussion here regarding the Bash vulnerability. I've confirmed that my 1.8.3 installation is vulnerable so I'm hoping we'll see a fix very soon. I've stopped all my services for now but I'm not sure that makes my system safe? Anyone have comments or suggestions? Any idea when we might see an update?

BTW - This is how I tested ...

Open Cygwin shell and type: env 'x=() { :;}; echo vulnerable' 'BASH_FUNC_x()=() { :;}; echo vulnerable' bash -c "echo test"
smorytko
 
Posts: 3
Joined: 28. September 2014 13:21
Operating System: Windows 8.1

Re: Shellshock fix - when?

Postby gsmith » 29. September 2014 02:38

Pardon my ignorance but how is this a Xampp problem, on Windows? I do not see any cygwin in the latest Xampp.
Sounds more like a cygwin problem, since that is where the bash shell is. What are they going to do about it should be your question.

Looks like it has been done, so just update Bash from the installer
https://www.cygwin.com/ml/cygwin-announ ... 00035.html

Note, there are caveats, read the announcement completely.
gsmith
 
Posts: 194
Joined: 29. November 2013 18:04
Location: San Diego
XAMPP version: 0.0.0
Operating System: Win XP to 2012R2/VS 6,9,11,14

Re: Shellshock fix - when?

Postby smorytko » 30. September 2014 16:44

Thanks for steering me straight and the directions to the fix - much appreciated!
smorytko
 
Posts: 3
Joined: 28. September 2014 13:21
Operating System: Windows 8.1


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 46 guests